Some systems codecs need to configure some registers before and after powering down
some of their part. As a convenience, I'm adding a macro for that.

Signed-off-by: Arnaud Patard <apatard@mandriva.com>

Index: sound-2.6/include/sound/soc-dapm.h
===================================================================
--- sound-2.6.orig/include/sound/soc-dapm.h	2010-05-27 14:09:32.932174265 +0200
+++ sound-2.6/include/sound/soc-dapm.h	2010-05-27 14:09:47.536194064 +0200
@@ -273,6 +273,8 @@
 #define SND_SOC_DAPM_POST_PMD	0x8		/* after widget power down */
 #define SND_SOC_DAPM_PRE_REG	0x10	/* before audio path setup */
 #define SND_SOC_DAPM_POST_REG	0x20	/* after audio path setup */
+#define SND_SOC_DAPM_PRE_POST_PMD \
+				(SND_SOC_DAPM_PRE_PMD | SND_SOC_DAPM_POST_PMD)
 
 /* convenience event type detection */
 #define SND_SOC_DAPM_EVENT_ON(e)	\

